MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025351Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-10 14:172015-05-14 15:32
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025351: Visualization - provide pseudo random number generator in OCCT ray-tracing core
DescriptionPRGN should be implemented in OCCT ray-tracing core for adding "imperfect" visual effects, such as stochastic anti-aliasing, soft shadows and ambient occlusion.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0032966)
git (administrator)
2014-10-10 14:18

Branch CR25351 has been created by dbp.

SHA-1: 489920086d1e958ef31e7a4a2de7c9a0b116b32f


Detailed log of new commits:

Author: dbp
Date: Fri Oct 10 14:18:24 2014 +0400

    0025351: Visualization - provide pseudo random number generator in OCCT ray-tracing core
(0032988)
dbp (developer)
2014-10-10 17:54

Dear kgv,

please review the patch in branch CR25351.
(0033051)
kgv (developer)
2014-10-14 08:11

+  RandState = uint(gl_FragCoord.y * 8192 + gl_FragCoord.x + theSeed);

If I understand correctly, the intention of this code is to provide unique seed for each pixel in the viewport?. However viewport width might be greater than 8192 and in this case seed will be repeated. Could you please document these statements, if them true?

gl_FragCoord.y / gl_FragCoord.x are not integers - please perform explicit conversions. By the way, them start from (0.5, 0.5) for lower-left corner of viewport by default, not (0.0, 0.0), if this matters.
(0035595)
git (administrator)
2014-12-23 14:39

Branch CR25351_1 has been created by dbp.

SHA-1: 8aaf9c61df16af45db11bed8ca4604d13ff9a9d5


Detailed log of new commits:

Author: dbp
Date: Tue Dec 23 14:39:18 2014 +0300

    0025351: Visualization - provide pseudo random number generator in OCCT ray-tracing core
(0035596)
dbp (developer)
2014-12-23 14:40

Dear kgv,

please review the corrected patch in branch CR25351_1.
(0035632)
kgv (developer)
2014-12-23 20:32

Please test the patch.
(0035724)
mkv (tester)
2014-12-25 15:49

Dear BugMaster,
Branch CR25351_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 8aaf9c61df16af45db11bed8ca4604d13ff9a9d5

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 368013196 / 367802156
Total CPU difference: 50246.16000000006 / 51439.64000000015
products component :
Total MEMORY difference: 112082356 / 112337436
Total CPU difference: 16712.549999999974 / 16803.54999999999

Testing on Windows:
occt component :
Total MEMORY difference: 277543236 / 277270364
Total CPU difference: 35571.84375 / 37471.9842007
products component :
Total MEMORY difference: 72188416 / 71382268
Total CPU difference: 11298.421875 / 10342.656534399997

There are no differences in images found by testdiff.
(0036553)
git (administrator)
2015-01-26 12:33

Branch CR25351_1 has been deleted by inv.

SHA-1: 8aaf9c61df16af45db11bed8ca4604d13ff9a9d5
(0036633)
git (administrator)
2015-01-26 12:38

Branch CR25351 has been deleted by inv.

SHA-1: 489920086d1e958ef31e7a4a2de7c9a0b116b32f

- Related Changesets
occt: master 312a4043
Timestamp: 2014-12-23 11:39:18
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025351: Visualization - provide pseudo random number generator in OCCT ray-tracing core
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_Raytrace.cxx Diff ] File ]
mod - src/Shaders/RaytraceBase.fs Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-10 14:17 dbp New Issue
2014-10-10 14:17 dbp Assigned To => dbp
2014-10-10 14:18 git Note Added: 0032966
2014-10-10 14:23 dbp Relationship added related to 0025201
2014-10-10 17:54 dbp Note Added: 0032988
2014-10-10 17:54 dbp Assigned To dbp => kgv
2014-10-10 17:54 dbp Status new => resolved
2014-10-14 08:11 kgv Note Added: 0033051
2014-10-14 08:11 kgv Assigned To kgv => dbp
2014-10-14 08:11 kgv Severity minor => feature
2014-10-14 08:11 kgv Status resolved => assigned
2014-10-14 08:11 kgv Product Version 6.8.0 =>
2014-10-15 09:10 abv Target Version 6.8.0 => 7.1.0
2014-12-23 14:39 git Note Added: 0035595
2014-12-23 14:40 dbp Note Added: 0035596
2014-12-23 14:40 dbp Assigned To dbp => kgv
2014-12-23 14:40 dbp Status assigned => resolved
2014-12-23 14:40 dbp Steps to Reproduce Updated View Revisions
2014-12-23 20:32 kgv Note Added: 0035632
2014-12-23 20:32 kgv Assigned To kgv => bugmaster
2014-12-23 20:32 kgv Status resolved => reviewed
2014-12-23 20:32 kgv Target Version 7.1.0 => 6.9.0
2014-12-24 11:19 mkv Assigned To bugmaster => mkv
2014-12-25 15:49 mkv Note Added: 0035724
2014-12-25 15:49 mkv Assigned To mkv => bugmaster
2014-12-25 15:49 mkv Status reviewed => tested
2014-12-26 13:33 bugmaster Changeset attached => occt master 312a4043
2014-12-26 13:33 bugmaster Status tested => verified
2014-12-26 13:33 bugmaster Resolution open => fixed
2015-01-26 12:33 git Note Added: 0036553
2015-01-26 12:38 git Note Added: 0036633
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker